Subject: [Fwd: [Fwd: Re: draft-ietf-pwe3-arch-07.txt editorials]]

From: Stewart Bryant <[email-masked]>
Date: Mon, 08 Nov 2004 15:13:57 +0000

Please make these edit changes to draft-ietf-pwe3-arch-07.txt

Note that edit (1) removes the reference that is blocking
publication.

- Stewart

-------- Original Message --------
Subject: [Fwd: Re: draft-ietf-pwe3-arch-07.txt editorials]
Date: Fri, 22 Oct 2004 10:26:01 +0100
From: Stewart Bryant <[email-masked]>
To: pwe3 <[email-masked]>

I propose that we send the following editorial requests to
the RFC editor.

Note that the first change removes an important gate
because now the only gate is L2TPv3 which is in the
RFC-editor's queue with no gate.

- Stewart

Stewart Bryant wrote:

> 
> The following editorial changes need to be made to
> <draft-ietf-pwe3-arch-07.txt>
> 
> Note that the first change removes a reference that is
> gating the draft and hence requires a change to the
> status in the RFC editors queue.
> 
> --------------------------------------------------
> 
> 1)The reference [FRAG] should be deleted from
> the Normative References
> 
> REASON
> 
> [FRAG] was a normative reference in section 5.4.3.
> "PW over MPLS Generic Control Word" in the -06
> version of the draft. This section was removed
> and placed in a new draft. There was no other
> reference to [FRAG] in the text and so this
> reference should have also been removed.
> 
> ---------------------------------------------------
> 
> 2) In the following text "the associated PWs" should
> be replaced by "the PW"
> 
> "7.3.1.  Pseudo-wire Up/Down Notification
> 
>   If a native service REQUIRES bi-directional connectivity, the
>   corresponding emulated service can only be signaled as being up when
>   the associated PWs, and PSN tunnels if any, are functional in both
>   directions. "
> 
> Also REQUIRES should be lower case.
> 
> The text should then read
> 
> "7.3.1.  Pseudo-wire Up/Down Notification
> 
>   If a native service requires bi-directional connectivity, the
>   corresponding emulated service can only be signaled as being up when
>   the PW, and PSN tunnels if any, are functional in both
>   directions. "
> 
> 
> REASON
> ------
> 
> PWs are bi-directional and therefore, there is only one PW
> that must be up.
> 
> Note that the equivalent text in the requirements draft:
> 
> "5.1.  Setup and Teardown of Pseudo-Wires
> <snip>
>   If a native circuit is bi-directional, the corresponding emulated
>   circuit can be signaled "Up" only when the associated PW and PSN
>   tunnels in both directions are functional."
> 
> is correct and the change makes the two drafts
> consistent.
> 
> -----------------------------------------------------
> 3) At the end of 5.4.3. PW-IP Packet Discrimination
> 
> there is a spurious ".sp" which needs to be deleted
> 
> -----------------------------------------------------
> 
> 4) In "1.4  Terminology" the following text should
> be removed:
> 
>   PWE3 Payload Type    A identifier used to distinguish between
>   Identifier           an MPLS IP payload and a CW that is not
>   (PWE3-PID)           ECMP safe.
> 
> REASON
> ------
> This term is no longer used by PWE3.
> 
> -----------------------------------------------------
> 
> 5) In "5.4.3. PW-IP Packet Discrimination" delete the
> line
> 
>   The use of this field for PWs is work in progress.
> 
> REASON
> ------
> This work has progressed since -07 was sent to the IESG.
> Text is cleaner without the line and no value is lost.
> 
> 
> ------------------------------------------------------
> 6) From the "Normative References" section the
> following references should be removed as they are
> not used:
> 
> [RFC791]
> [RFC1883]
> [RFC1902]
> [RFC2119]
> [RFC3031]
> 
> REASON
> ------
> Not referenced by the text
> 
> ------------------------------------------------------
> 
> 7) All references to RFC2558 should be replaced by
> references to RFC3592
> 
> This occur in Fig 16 and in the Normative references
> which should now include the following definition
> for RFC3592:
> 
> [RFC3592]   K. Tesink, "Definitions of Managed Objects for the
> Synchronous Optical Network/Synchronous Digital Hierarchy
> (SONET/SDH) Interface Type", RFC3592, September 2003.
> 
> REASON
> ------
> RFC2558 has been obsoleted by RFC3592
> 
> -------------------------------------------------------
> 
> 8) All references to [LDPMIB] should be replaced by
> [RFC3815]
> 
> In the informative references the reference should be
> 
> [RFC3815]   Cucchiara, J., Sjostrand, H., and Luciani, J.,
>            "Definitions of Managed Objects for the Multiprotocol
>            Label Switching, Label Distribution Protocol (LDP)",
>            RFC-3815, June 2004
> 
> REASON
> ------
> This Internet-Draft was published as a Proposed Standard, RFC 3815
> (http://www.ietf.org/rfc/rfc3815.txt), on 2004-6-22.
> 
> The name of the internet-draft was draft-ietf-mpls-ldp-mib-14.txt
> 
> --------------------------------------------------------
> 
> 9) All references to [LSRMIB} should be changed to [RFC3813]
> 
> In the informative references the reference should be
> 
> [RFC3813] Srinivasan, C., Viswanathan, A., Nadeau, T.
>          "Multiprotocol Label Switching (MPLS) Label
>          Switching Router (LSR) Management Information
>          Base (MIB)", RFC-3813, June 2004
> 
> REASON
> ------
> This Internet-Draft was published as a Proposed Standard, RFC 3813
> (http://www.ietf.org/rfc/rfc3813.txt), on 2004-6-22.
> 
> The name of the internet-draft was draft-ietf-mpls-lsr-mib-14.txt
> 
> -------------------------------------------------------
> 
> 10) All references to [TEMIB] should be changed to [RFC3812]
> 
> In the informative references the reference should be
> 
> [RFC3812] Srinivasan, C., Viswanathan, A., Nadeau, T.
>          "Multiprotocol Label Switching (MPLS) Traffic
>          Engineering (TE) Management Information Base (MIB)",
>          RFC-3812, June 2004.
> 
> REASON
> -------
> This Internet-Draft was published as a Proposed Standard, RFC 3812
> (http://www.ietf.org/rfc/rfc3812.txt), on 2004-6-22.
> 
> The name of the internet-draft was draft-ietf-mpls-te-mib-14.txt
> 
>